package step

// Error enumerates errors common to this package.
type Error string; const (
	ErrCircularInheritance Error = "circular inheritance"
	ErrMetaMalformed       Error = "metadata is malformed"
	ErrMetaNeverClosed     Error = "metadata is never closed"
	ErrTypeMismatch        Error = "type mismatch"
)

// Error fulfills the error interface.
func (err Error) Error () string {
	return string(err)
}
